<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<Resource xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
	<ID/>
	<Type>Service</Type>
	<Profile>
		<Description>Search System Service</Description>
		<Class>Search</Class>
		<Name>SearchSystemService</Name>
		<Version>1.0.0</Version>
		<Packages>
			<Main>
				<Description>Describes port-types</Description>
				<Name>SearchSystemService</Name>
				<Version>2.0.1-SNAPSHOT</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.search</groupId>
                    <artifactId>searchsystemservice</artifactId>
                    <version>2.0.1-SNAPSHOT</version>
                </MavenCoordinates>
				<Mandatory level="VO"/>
                <Shareable level="VO"/>
                <GHNRequirements>
                    <Requirement category="OperatingSystem" operator="eq" requirement="Name" value="Linux"/>
                </GHNRequirements>
				
				<GARArchive>org.gcube.searchsystem.searchsystemservice.gar</GARArchive>
				<PortType>
					<Name>gcube/searchsystem/SearchSystemService</Name>
					
				</PortType>
			</Main>
			<Software deployable="true">
				<Description>Describes port-type stubs</Description>
				<Name>SearchSystemServiceStubs</Name>
				<Version>2.0.0-SNAPSHOT</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.search</groupId>
                    <artifactId>searchsystemservicestubs</artifactId>
                    <version>2.0.0-SNAPSHOT</version>
                </MavenCoordinates>
				<MultiVersion value="true"/>
                <Mandatory level="VO"/>
                <Shareable level="VO"/>
				<Files>
                    <File>org.gcube.searchsystem.searchsystemservice.stubs.jar</File>
                </Files>
			</Software>
			<Software deployable="true">
				<Description>Search System Test Suite</Description>
				<Name>SearchSystem-test-suite</Name>
				<Version>2.0.0-SNAPSHOT</Version>
                <MavenCoordinates>
                    <groupId>org.gcube.search</groupId>
                    <artifactId>searchsystem-test-suite</artifactId>
                    <version>2.0.0-SNAPSHOT</version>
                </MavenCoordinates>
				<Files>
					<File>readme.txt</File>
					<File>Client.java</File>
				</Files>
			</Software>
		</Packages>
	</Profile>
</Resource>
